Bug 1028572 - oo-admin-check-sources lists RHN Classic channels twice
oo-admin-check-sources lists RHN Classic channels twice
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
2.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Lamb
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 14:33 EST by Brenton Leanhardt
Modified: 2017-03-08 12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brenton Leanhardt 2013-11-08 14:33:45 EST
Description of problem:

This is running a checkout from commit 4f0ef12 of openshift-extras:

$ python oo-admin-check-sources.py -c beta2.ini --role=broker --role=node-eap --role=client --oo-version=2.0 --fix
Detected OpenShift Enterprise repository subscription managed by RHN Classic or RHN Satellite.

The required OpenShift Enterprise repositories are missing:
    rhel-x86_64-server-6-rhscl-1
    rhel-x86_64-server-6-ose-2-infrastructure-beta
    jbappplatform-6-x86_64-server-6-rpm
    rhel-x86_64-server-6-ose-2-jbosseap-beta
    rhel-x86_64-server-6-ose-2-rhc-beta
    jb-ews-2-x86_64-server-6-rpm
    rhel-x86_64-server-6-rhscl-1
    rhel-x86_64-server-6-ose-2-node-beta
    rhel-x86_64-server-6-beta
Please verify that an OpenShift Enterprise subscription is attached to this system using either RHN Classic or Red Hat Subscription Manager by following the instructions here: https://access.redhat.com/site/articles/52292
Comment 2 John W. Lamb 2013-11-11 11:30:11 EST
Addressed in https://github.com/openshift/openshift-extras/pull/170
Comment 3 Ma xiaoqiang 2013-11-11 20:02:02 EST
check on openshift-openshift-extras-c9d6230
for rhsm:
#./oo-admin-check-sources.py -r broker -p -o 2.0 -r node -r node-eap -r client -c beta2.ini -s rhsm -a
#./oo-admin-check-sources.py -r broker -p -o 2.0 -r node -r node-eap -r client -c beta2.ini -p 
Output:
Detected OpenShift Enterprise repository subscription managed by RHN Classic or RHN Satellite.

Checking if yum-plugin-priorities is installed
Checking channel/repository priorities
No problems could be detected!

for rhn:
#./oo-admin-check-sources.py -r broker -p -o 2.0 -r node -r node-eap -r client -c beta2.ini -s rhn -a
#./oo-admin-check-sources.py -r broker -p -o 2.0 -r node -r node-eap -r client -c beta2.ini -s -p
Output:
Detected OpenShift Enterprise repository subscription managed by Red Hat Subscription Manager.
Detected installed OpenShift Enterprise version 2.0

Checking if yum-plugin-priorities is installed
Checking channel/repository priorities
No problems could be detected!
Comment 4 Ma xiaoqiang 2013-11-11 20:13:57 EST
(In reply to Ma xiaoqiang from comment #3)
> check on openshift-openshift-extras-c9d6230
> for rhsm:
> #./oo-admin-check-sources.py -r broker -p -o 2.0 -r node -r node-eap -r
> client -c beta2.ini -s rhsm -a
> #./oo-admin-check-sources.py -r broker -p -o 2.0 -r node -r node-eap -r
> client -c beta2.ini -p 
> Output:
> Detected OpenShift Enterprise repository subscription managed by RHN Classic
> or RHN Satellite.
> 
> Checking if yum-plugin-priorities is installed
> Checking channel/repository priorities
> No problems could be detected!
> 
> for rhn:
> #./oo-admin-check-sources.py -r broker -p -o 2.0 -r node -r node-eap -r
> client -c beta2.ini -s rhn -a
> #./oo-admin-check-sources.py -r broker -p -o 2.0 -r node -r node-eap -r
> client -c beta2.ini -s -p
> Output:
> Detected OpenShift Enterprise repository subscription managed by Red Hat
> Subscription Manager.
> Detected installed OpenShift Enterprise version 2.0
> 
> Checking if yum-plugin-priorities is installed
> Checking channel/repository priorities
> No problems could be detected!
check on a clean server
# ./oo-admin-check-sources.py -r broker  -o 2.0 -r node  -c beta2.ini -s rhn -p
Output:          
If this system will be providing the JBossEAP cartridge, re-run this command with the --role=node-eap argument

The required OpenShift Enterprise repositories are missing:
    rhel-x86_64-server-6-beta
    rhel-x86_64-server-6-ose-2-node-beta
    jb-ews-2-x86_64-server-6-rpm
    rhel-x86_64-server-6-rhscl-1
    rhel-x86_64-server-6
    rhel-x86_64-server-6-ose-2-infrastructure-beta
<--snip-->
# ./oo-admin-check-sources.py -r broker  -o 2.0 -r node  -c beta2.ini -s rhsm -p
If this system will be providing the JBossEAP cartridge, re-run this command with the --role=node-eap argument

The required OpenShift Enterprise repositories are missing:
    rhel-6-server-ose-2-beta-infra-rpms
    jb-ews-2-for-rhel-6-server-rpms
    rhel-6-server-ose-2-beta-node-rpms
    rhel-6-server-beta-rpms
    rhel-server-rhscl-6-rpms
    rhel-6-server-rpms
<--snip-->

Note You need to log in before you can comment on or make changes to this bug.